<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

	if (stristr(htmlentities($_SERVER['PHP_SELF']), "block_statistics.php")) {
		die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
	}
	
	global $dblink,$siteConfig,$tzNOW;
	
	$row = $dblink->get_row("SELECT SUM(pageviews) AS totarchive,SUM(uniquevisitors) AS totuarchive FROM memht_statistics_hits");
	$tot_hits = intval($row['totarchive']);
	$tot_unique_hits = intval($row['totuarchive']);
	
	//Busiest day
	$row = $dblink->get_row("SELECT pageviews,day AS busiestday FROM memht_statistics_hits ORDER BY pageviews DESC LIMIT 1");
	$mostpageviews = intval($row['pageviews']);
	$busiestday = outCode($row['busiestday']);
	
	$num_users = $dblink->get_num("SELECT id FROM memht_utenti");
	$last_user_row = $dblink->get_row("SELECT id,user FROM memht_utenti ORDER BY id DESC LIMIT 1");
	$uid = intval($last_user_row['id']);
	$last_user = outCode($last_user_row['user']);
	
	echo "<table width='100%' border='0' cellspacing='0' cellpadding='1' class='std_nicetable'>";
	echo "<thead>\n";
		echo "<tr><td width='100%' colspan='2'>"._GENERAL_."</td></tr>";
	echo "</thead>\n";
	echo "<tbody>\n";
		echo "<tr><td class='std_clean' width='80%'>"._PAGESEEN_."</td><td class='std_clean' width='20%' align='right'>$tot_hits</td></tr>";
		echo "<tr><td class='std_hlight'>"._VISITORS_."</td><td class='std_hlight' align='right'>$tot_unique_hits</td></tr>";
		echo "<tr><td class='std_clean'>"._BUSIESTDAY_."</td><td class='std_clean' align='right'>$busiestday</td></tr>";
	echo "</tbody>\n";
	echo "<thead>\n";	
		echo "<tr><td width='100%' colspan='2'>"._USERS_."</td></tr>";
	echo "</thead>\n";
	echo "<tbody>\n";
		echo "<tr><td class='std_clean'>"._TOTUSERS_."</td><td class='std_clean' align='right'>$num_users</td></tr>\n";
		echo "<tr><td class='std_hlight'>"._LASTUSER_."</td><td class='std_hlight' align='right'><a href='index.php?page=users&op=userInfo&uid=$uid' title='$last_user'>$last_user</a></td></tr>\n";	
	echo "</tbody>\n";
	echo "</table>";
	
	//Graph hits per day
	$n = 0;
	echo "<table width='100%' border='0' cellspacing='0' cellpadding='1' class='std_nicetable'>\n";
	echo "<thead>\n";
	echo "<tr><td width='30%'>"._DAY_."</td><td align='right'>"._HITS_."</td></tr>\n";
	echo "</thead>\n";
	echo "<tbody>\n";
	
	$result = $dblink->get_list("SELECT * FROM memht_statistics_hits ORDER BY day DESC LIMIT 7");
	foreach ($result as $row) {
		$day = $row['day'];
		$pageviews = intval($row['pageviews']);
		
		$class = (($n++%2)!=0) ? "std_hlight" : "std_clean" ;
		
		$maxhits = $mostpageviews;
		$width = ($pageviews/$maxhits)*100;
		
		$img = "<img src='templates/".$siteConfig['template']."/images/bar_sx.gif' border='0' title='$pageviews' alt='$pageviews'><img src='templates/".$siteConfig['template']."/images/bar_centrale.gif' border='0' title='$pageviews' width='$width' height='12' alt='$pageviews'><img src='templates/".$siteConfig['template']."/images/bar_dx.gif' border='0' title='$pageviews' alt='$pageviews'>";

		echo "<tr><td width='30%' class='$class'>$day</td><td class='$class' nowrap><div align='right'>$img</div></td></tr>\n";
	}
	echo "</tbody>\n";
	echo "</table>\n";
	
?>